diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 536df9d..942c067 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -41007,7 +41007,7 @@ IdealDecompositionPackage(vl,nv) : C == T -- take away nv, now doesn't
 
      rearrange(vlist:List OV) :List OV ==
        vlist=[] => vlist
-       sort(#1>#2,setDifference(lvint,setDifference(lvint,vlist)))
+       sort((z1,z2)+->z1>z2,setDifference(lvint,setDifference(lvint,vlist)))
 
             ---- radical of a 0-dimensional ideal  ----
      zeroRadComp(I:FIdeal,truelist:List OV) : FIdeal ==
diff --git a/changelog b/changelog
index a88b710..461acff 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090603 tpd src/axiom-website/patches.html 20090603.05.tpd.patch
+20090603 tpd books/bookvol10.4 IDECOMP +-> conversion
 20090603 tpd src/axiom-website/patches.html 20090603.04.tpd.patch
 20090603 tpd books/bookvol10.4 HEUGCD +-> conversion
 20090603 tpd src/axiom-website/patches.html 20090603.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 824842b..02e546a 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1427,11 +1427,13 @@ bookvol10.4 INTG0 +-> conversion<br/>
 bookvol10.4 GOSPER +-> conversion<br/>
 <a href="patches/20090603.01.tpd.patch">20090603.01.tpd.patch</a>
 bookvol10.4 GBF +-> conversion<br/>
-<a href="patches/20090603.01.tpd.patch">20090603.02.tpd.patch</a>
-bookvol10.4 GBINTERN +-> conversion<br/>
 <a href="patches/20090603.02.tpd.patch">20090603.02.tpd.patch</a>
-bookvol10.4 GB +-> conversion<br/>
+bookvol10.4 GBINTERN +-> conversion<br/>
 <a href="patches/20090603.03.tpd.patch">20090603.03.tpd.patch</a>
+bookvol10.4 GB +-> conversion<br/>
+<a href="patches/20090603.04.tpd.patch">20090603.04.tpd.patch</a>
 bookvol10.4 HEUGCD +-> conversion<br/>
+<a href="patches/20090603.05.tpd.patch">20090603.05.tpd.patch</a>
+bookvol10.4 IDECOMP +-> conversion<br/>
  </body>
 </html>
